본문 바로가기

eclipse

[Eclipse] Chrome Theme 설치 & 적용하기 Eclipse Theme이클립스에서도 가독성이든지 눈이 편하게 등등의 이유로 테마를 설정하여 이클립스를 새롭게 바꿀 수 있다. 필자의 경우 Market Place에서 Chrome 테마를 받아서 적용하여 사용하는데 꽤 괜찮다. Eclipse Luna가 새로 나와서 설치하는 겸 해서 설치 방법을 블로그에 남긴다.설치Eclipse Luna JEE 버전이다. 기본 테마는 Windows 7으로 되어 있는데 상당히 구리다. 개발자는 미적감각이 필요한 직업이 아니지만 그래도 예쁜 게 좋다.메뉴 -> Help -> Eclipse Marketplace를 클릭해서 Marketplace를 실행 시킨다.Find에서 chrome이라고 검색하면 제일 아래 Jeeeyul's Eclipse Themes 2.1.7이 보인다. 요기서 ..
서버 시작할 때 45초 에러 Eclipse에서 Server 플러그인을 이용해서 각종 서버를 시작할 때 다음과 같은 에러가 날 때가 있다.'Starting Tomcat v7.0 Server at localhost' has encountered a problem.서버 부팅하는 시간이 45초가 넘어가 버리면 이런 에러가 뜨면서 서버 부팅이 안 되는 문제가 발생한다. 별 문제는 아니고 그냥 세팅값만 바꿔주면 된다.서버 뷰에서 해당 서버를 더블클릭하면 Server Overview 화면이 뜰 것이다.여기서 Timeouts 설정에 보면 Start가 45초로 지정되어 있다. 이걸 100초나 그 이상으로 설정하고 저장하면 문제 해결!
[IBM] Eclipse V3.4 완전 정복 이클립스 V3.4 완전 정복, Part 1: 이클립스 IDE 워크벤치 http://www.ibm.com/developerworks/kr/library/os-eclipse-master1/ Eclipse V3.4 완전 정복, Part 2: JDT http://www.ibm.com/developerworks/kr/library/os-eclipse-master2/index.html Eclipse V3.4 완전 정복, Part 3: JDT 텍스트 편집기 팁과 비결 http://www.ibm.com/developerworks/kr/library/os-eclipse-master3/index.html pdf files..
[Vaadin] Eclipse에 Vaadin Plugin 설치하기 Vaadin 기반의 UI를 개발하기 위해서는 먼저 Eclipse에 Vaadin Plugin을 설치해야 한다. Eclipse Plugin을 설치해본 사람이라면 아주 아주 간단하게 Vaadin Plugin을 설치할 수 있다. 이제 Eclipse를 실행한다. 본 포스트에서 사용할 Eclipse의 버전은 Eclipse IDE for Java EE Developers Indigo SR1이다. 그리고 메뉴 -> Help -> Install New Software 를 실행하자. Install 창이 띄어지면 Work with 부분에 캡쳐한 화면과 같이 http://vaadin.com/eclipse를 입력하고 Enter키를 누른다. 그리고 수초 내에 설치할 목록이 나오는데 화면과 같이 Vaadin만 체크하면 된다. 여기..
GWT-EX + Eclipse + Cypal Studios 깔끔하게 정리되어 있는 위키 http://gwt-ext.com/wiki/index.php?title=Using_Eclipse#GWT_Designer_plugin_for_Eclipse 나중에 번역해야지 ㅋㅋ
Mule IDE 설치 http://www.mulesoft.org/documentation/display/MULEIDE/Mule+IDE+2.1+Installation+Guide 원글을 참고 대략적인 방법만 나열하자면.. 1. Mule, Eclipse 다운 2. Eclipse에서 Mule IDE 업데이트 받기 http://dist.muleforge.org/mule-ide/updates-2.1.x/ 3. 다운로드 받은 Mule을 압축 풀고 Eclipse - Preferences - Mule 에서 패스 잡아주기 그럼 땡~~ 차아아암 쉽죠잉~?
Eclipse에서 나오는 에러 중 잘 잊어먹는 것들 1. Java complier level does not match the version of the installed java project facetProject Properties에서 Java Complier 옵션 중 자바 버전을 바꿨다면 잘 나오는 에러 중에 하나이다.이런 에러가 나오는 이유는 자바 컴파일러 버전을 바꾸면 또 하나 세팅 해줘야 하는 게 있는데 그것을 세팅하지 않았기 때문에 나오는 에러.Project Properties 속성에 보면 Project Facets라는 항목이 있다. 여기에 클릭해서 보면 밑에와 같은 화면이 나올 것이다.여기서 Java 항목의 Version을 변경한 값으로 고쳐줘야 이 에러가 나지 않는다.2. could not find source for resource b..